Bug 860845 - Assets can not be restored when archiving "Global Area"
Assets can not be restored when archiving "Global Area"
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
high Severity high
: ER4
: BRMS 5.3.1 GA
Assigned To: Mark Proctor
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 16:47 EDT by Amana
Modified: 2013-11-07 17:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was previously not possible to restore assets from an archived global area. This issued was caused because it should not have been possible to archive the global area, it should only have been possible to archive individual assets in the global. This has been resolved by preventing users from archiving the global area.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1944 Major Resolved Assets can not be restored when archiving "Global Area" 2013-10-29 13:47:24 EDT

  None (edit)
Description Amana 2012-09-26 16:47:48 EDT
** Description of problem:

The assets can not be restored when archiving the Global Area by selecting "File -> Archive" in JBoss BRMS 5.3.0 Guvnor.

When trying to restore any asset, the following message is displayed on Guvnor UI:

"400 The package [globalArea] that asset [teste1] belongs to is archived. You need to unarchive it first."

However it is not possible to unarchive this since "Global Area" is not a package, then archival of "Global Area" should not be allowed.


** How reproducible:

1) Go to BRMS Guvnor UI
2) Archive the Global Area (File -> Archive)
3) Go to Administration -> Archive
4) Try to restore an asset from Global Area
5) The message will be displayed



** Workaround

* Open the asset from Archive Area (Administration -> Archive -> Click on the Open button to an asset)
* Click on Edit -> Copy (choose a different name)
* Select a temporary package

Note: that asset will not be (yet) on that temporary package, the copy will be still on archive area, but you can restore this new one. 

-> After restored, go to the temporary package, click on the restored asset and go to Edit -> Promote to global
Comment 1 Amana 2012-09-27 12:18:58 EDT
Also, I would like to add that the proposed workaround does not solve all of the issues since when creating a new asset, directly under the global area, it always gets created as an archived asset. Then they can not create new assets for global area too.
Comment 3 Jervis Liu 2012-10-29 11:18:15 EDT
The root cause of the problem is that the "Global area" should not be allowed to be achieved. Only the individual assets under the "Global area" can be achieved.
Comment 4 Jervis Liu 2012-10-29 23:19:42 EDT
Fixed on 5.3.x branch
Comment 5 JBoss JIRA Server 2012-10-30 00:59:32 EDT
Jervis Liu <jliu@redhat.com> updated the status of jira GUVNOR-1944 to Resolved
Comment 6 JBoss JIRA Server 2012-10-30 00:59:32 EDT
Jervis Liu <jliu@redhat.com> made a comment on jira GUVNOR-1944

Fixed on 5.3.x, 5.4.x and 5.5.x branch.
Comment 7 lcarlon 2012-11-08 20:12:12 EST
Jervis, please review the doc text I have provided for the release notes for this issue, to ensure it is correct.

Thanks
Lee
Comment 8 Jervis Liu 2012-11-08 21:38:18 EST
The doc text is correct. Thanks
Comment 9 Jiri Locker 2012-11-12 08:50:17 EST
Although it is still possible to archive the global area using a little keyboard hack (bug 875732) I'm convinced that the chance a user would archive global area accidentally is insignificant, therefore I confirm the fix.

Note You need to log in before you can comment on or make changes to this bug.